Patchwork [Maverick,LBM,SRU,pull-request] UBUNTU: Add compat-wireless-2.6.37

login
register
mail settings
Submitter Leann Ogasawara
Date Nov. 10, 2010, 12:47 a.m.
Message ID <1289350020.11875.2789.camel@emiko>
Download mbox
Permalink /patch/70600/
State Accepted
Delegated to: Tim Gardner
Headers show

Pull-request

git://kernel.ubuntu.com/ogasawara/ubuntu-maverick-lbm.git compat-wireless-2.6.37

Comments

Leann Ogasawara - Nov. 10, 2010, 12:47 a.m.
https://bugs.launchpad.net/bugs/673245

SRU Justification:

As part of the linux-backports-modules package, we periodically provide
an updated compat-wireless stack. linux-backports-modules for Maverick
already has a pending pull request to add the 2.6.36 compat-wireless
stack [1]. It's come to our attention that future requests for newer
versions of the compat-wireless stack will be coming down the pipeline.
In preparation, add infrastructure to start tracking the 2.6.37
compat-wireless stack.

Impact:
There is no impact at the moment as we're just adding the infrastructure
to enable the 2.6.37 compat-wireless stack. We will wait to actually
enable and build it until 2.6.37 is final. However, even once we do
enable this, linux-backports-modules is an elective install and a 2.6.37
compat-wireless update wouldn't have existed previously, so there should
be no risk of regression.

Test Case:
Flip the bit to build the compat-wireless-2.6.37 stack in the
linux-backports-modules package and confirm that a 2.6.37
compat-wireless binary is created.

I'd like to note that I've generated this on top of the previously
submitted pull request from Tim Gardner [1] which adds support for the
2.6.36 compat-wireless stack.

Thanks,
Leann

[1] https://lists.ubuntu.com/archives/kernel-team/2010-November/013343.html

The following changes since commit 5477e95e2e79c092f08547b28ccd25d27835c954:

  UBUNTU: Added compat-wireless-2.6.36 (2010-11-04 09:20:43 -0700)

are available in the git repository at:
  git://kernel.ubuntu.com/ogasawara/ubuntu-maverick-lbm.git compat-wireless-2.6.37

Leann Ogasawara (2):
      UBUNTU: Allow multiple versions of compat-wireless
      UBUNTU: Add compat-wireless-2.6.37
Stefan Bader - Nov. 12, 2010, 8:12 a.m.
On 11/10/2010 01:47 AM, Leann Ogasawara wrote:
> https://bugs.launchpad.net/bugs/673245
> 
> SRU Justification:
> 
> As part of the linux-backports-modules package, we periodically provide
> an updated compat-wireless stack. linux-backports-modules for Maverick
> already has a pending pull request to add the 2.6.36 compat-wireless
> stack [1]. It's come to our attention that future requests for newer
> versions of the compat-wireless stack will be coming down the pipeline.
> In preparation, add infrastructure to start tracking the 2.6.37
> compat-wireless stack.
> 
> Impact:
> There is no impact at the moment as we're just adding the infrastructure
> to enable the 2.6.37 compat-wireless stack. We will wait to actually
> enable and build it until 2.6.37 is final. However, even once we do
> enable this, linux-backports-modules is an elective install and a 2.6.37
> compat-wireless update wouldn't have existed previously, so there should
> be no risk of regression.
> 
> Test Case:
> Flip the bit to build the compat-wireless-2.6.37 stack in the
> linux-backports-modules package and confirm that a 2.6.37
> compat-wireless binary is created.
> 
> I'd like to note that I've generated this on top of the previously
> submitted pull request from Tim Gardner [1] which adds support for the
> 2.6.36 compat-wireless stack.
> 
> Thanks,
> Leann
> 
> [1] https://lists.ubuntu.com/archives/kernel-team/2010-November/013343.html
> 
> The following changes since commit 5477e95e2e79c092f08547b28ccd25d27835c954:
> 
>   UBUNTU: Added compat-wireless-2.6.36 (2010-11-04 09:20:43 -0700)
> 
> are available in the git repository at:
>   git://kernel.ubuntu.com/ogasawara/ubuntu-maverick-lbm.git compat-wireless-2.6.37
> 
> Leann Ogasawara (2):
>       UBUNTU: Allow multiple versions of compat-wireless
>       UBUNTU: Add compat-wireless-2.6.37
> 
> 
Looks ok to me. I guess the .37 binary getting created empty for now and not
having a meta for it active should be safe. ACK

-Stefan
Tim Gardner - Nov. 17, 2010, 2:32 a.m.
On 11/09/2010 05:47 PM, Leann Ogasawara wrote:
> https://bugs.launchpad.net/bugs/673245
>
> SRU Justification:
>
> As part of the linux-backports-modules package, we periodically provide
> an updated compat-wireless stack. linux-backports-modules for Maverick
> already has a pending pull request to add the 2.6.36 compat-wireless
> stack [1]. It's come to our attention that future requests for newer
> versions of the compat-wireless stack will be coming down the pipeline.
> In preparation, add infrastructure to start tracking the 2.6.37
> compat-wireless stack.
>
> Impact:
> There is no impact at the moment as we're just adding the infrastructure
> to enable the 2.6.37 compat-wireless stack. We will wait to actually
> enable and build it until 2.6.37 is final. However, even once we do
> enable this, linux-backports-modules is an elective install and a 2.6.37
> compat-wireless update wouldn't have existed previously, so there should
> be no risk of regression.
>
> Test Case:
> Flip the bit to build the compat-wireless-2.6.37 stack in the
> linux-backports-modules package and confirm that a 2.6.37
> compat-wireless binary is created.
>
> I'd like to note that I've generated this on top of the previously
> submitted pull request from Tim Gardner [1] which adds support for the
> 2.6.36 compat-wireless stack.
>
> Thanks,
> Leann
>
> [1] https://lists.ubuntu.com/archives/kernel-team/2010-November/013343.html
>
> The following changes since commit 5477e95e2e79c092f08547b28ccd25d27835c954:
>
>    UBUNTU: Added compat-wireless-2.6.36 (2010-11-04 09:20:43 -0700)
>
> are available in the git repository at:
>    git://kernel.ubuntu.com/ogasawara/ubuntu-maverick-lbm.git compat-wireless-2.6.37
>
> Leann Ogasawara (2):
>        UBUNTU: Allow multiple versions of compat-wireless
>        UBUNTU: Add compat-wireless-2.6.37
>
>

applied and pushed